Get Assembly Order Statuses
POST /api/marketplace/v3/dbs/orders/status/infoBase URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Assembly Orders · Specification doc ↗
Returns the statuses of assembly orders based on the list of assembly order IDs. supplierStatus is a status of an order. The trigger for its change is the action of the seller himself. Possible values for this field are:
| Status | Description | How to move an order to this status |
|---|---|---|
new | **New order** | |
confirm | **Order on assembly** | Transfer to assembly |
wbStatus is a status of an order on the Wildberries side. | ||
| Possible values for this field are: |
waiting— assembly order in worksold— the buyer got the ordercanceled— assembly order canceledcanceled\_by\_client— the buyer canceled the orderdeclined\_by\_client— the buyer canceled the order in the first hour Cancellation is available to the buyer in the first hour from the moment of order, if the order is not transferred to confirm status.defect— order canceled due to a defectready\_for\_pickup— the order arrived the pickup pointcanceled\_by\_missed\_call— cancellation due to unreachable buyer. For delivery by seller
Request limit per one seller account for DBS assembly orders methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Request body
application/json — schema api.OrdersRequestV2, required
ordersIdsinteger<int64>[](required) — List of assembly order IDs
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | api.OrderStatusesV2 |
400 | Bad request | api.BatchError |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | api.BatchError |
404 | Not found | api.BatchError |
429 | Too many requests | object |
Structure 200:
ordersapi.OrderStatusV2[]— Status dataerrorsapi.BatchErrorResponse[]— Error detailcodeinteger<int64>— Error code: -404-409-400detailstring— -NotFound— assembly order is not found -StatusMismatch— operation is not possible for this assembly order status -ImeiIsNotFilled— IMEI is not filled -OrderNotB2B— operation is available only for assembly orders with the B2B sale indicator"isB2b": true-InvalidOriginCountryCode— invalid country of origin code
orderIdinteger<int64>— Assembly order IDsupplierStatusstring— Assembly order status set by the sellerwbStatusstring— Assembly order status set by WB system
Structure 400:
detailobject— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
detailobject— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 404:
detailobject— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))
result = api.post_v3_dbs_orders_status_info(api_orders_request_v2=...)
print(result)import {
Configuration,
DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);
const { data } = await api.postV3DbsOrdersStatusInfo(apiOrdersRequestV2);
console.log(data);import (
"context"
"fmt"
wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)
cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)
result, _, err := client.DbsAPI.PostV3DbsOrdersStatusInfo(context.Background()).ApiOrdersRequestV2(apiOrdersRequestV2).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);
System.out.println(api.postV3DbsOrdersStatusInfo(apiOrdersRequestV2));use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);
print_r($api->postV3DbsOrdersStatusInfo($api_orders_request_v2));#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);
Сообщить(Клиент.PostV3DbsOrdersStatusInfo(Тело).Тело);using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);
Console.WriteLine(api.PostV3DbsOrdersStatusInfo(apiOrdersRequestV2));use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = dbs_api::post_v3_dbs_orders_status_info(&cfg, api_period_orders_request_v2).await;
println!("{:#?}", result);
}